mixed-port: 7890
allow-lan: false
mode: "rule"
log-level: "info"
ipv6: true
unified-delay: true
tcp-concurrent: true
dns:
  enable: true
  default-nameserver:
    - "223.5.5.5"
    - "1.1.1.1"
  nameserver:
    - "https://dns.alidns.com/dns-query"
    - "https://doh.pub/dns-query"
  proxy-server-nameserver:
    - "https://dns.alidns.com/dns-query"
    - "https://doh.pub/dns-query"
  respect-rules: true
proxies:
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇭🇰 香港01"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9401
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇭🇰 香港02"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9402
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇭🇰 香港03"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9403
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇭🇰 香港04"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9404
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇭🇰 香港05"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9455
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇭🇰 香港06"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9418
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇭🇰 香港07"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9440
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇭🇰 香港08"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9441
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇭🇰 香港09"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9442
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇭🇰 香港10"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9443
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇭🇰 香港11"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9444
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇼🇸 台湾【原生IP】"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9419
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇼🇸 台湾【动态家宽】"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9405
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇻🇳 越南【家宽】"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9451
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇯🇵 日本02"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9407
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇯🇵 日本03"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9425
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇯🇵 日本04"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9426
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇯🇵 日本05"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9427
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇯🇵 日本06"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9406
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇯🇵 日本【家宽】01"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9409
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇺🇸 美国01"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9437
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇺🇸 美国02"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9432
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇺🇸 美国03"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9433
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇺🇸 美国04"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9434
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇺🇸 美国05"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9435
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇺🇸 美国06"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9436
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇺🇸 美国07"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9431
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇸🇬 新加坡01"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9410
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇸🇬 新加坡02"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9411
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇸🇬 新加坡03"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9412
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇸🇬 新加坡04"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9439
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇸🇬 新加坡05"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9445
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇸🇬 新加坡06"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9446
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇸🇬 新加坡07"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9447
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇸🇬 新加坡08"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9448
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇸🇬 新加坡09"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9449
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇲🇾 马来西亚01"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9408
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇹🇭 泰国"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9456
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇬🇧 英国"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9415
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇩🇪 德国"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9457
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇫🇷 法国"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9461
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇪🇸 西班牙"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9422
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
  - alpn:
      - "h2"
      - "http/1.1"
    client-fingerprint: "chrome"
    name: "🇷🇴 罗马尼亚【家宽】"
    password: "8d7b6468-25c9-4355-8355-a65b243aa7d2"
    port: 9438
    server: "xm0503.xiongmao139.cn"
    skip-cert-verify: true
    sni: "vehicle-files.prd.cnn1.vn.cloud.tesla.cn"
    type: "anytls"
    udp: true
proxy-groups:
  - name: "聚盟云☁️"
    type: "select"
    proxies:
      - "自动选择"
      - "故障转移"
      - "🇭🇰 香港01"
      - "🇭🇰 香港02"
      - "🇭🇰 香港03"
      - "🇭🇰 香港04"
      - "🇭🇰 香港05"
      - "🇭🇰 香港06"
      - "🇭🇰 香港07"
      - "🇭🇰 香港08"
      - "🇭🇰 香港09"
      - "🇭🇰 香港10"
      - "🇭🇰 香港11"
      - "🇼🇸 台湾【原生IP】"
      - "🇼🇸 台湾【动态家宽】"
      - "🇻🇳 越南【家宽】"
      - "🇯🇵 日本02"
      - "🇯🇵 日本03"
      - "🇯🇵 日本04"
      - "🇯🇵 日本05"
      - "🇯🇵 日本06"
      - "🇯🇵 日本【家宽】01"
      - "🇺🇸 美国01"
      - "🇺🇸 美国02"
      - "🇺🇸 美国03"
      - "🇺🇸 美国04"
      - "🇺🇸 美国05"
      - "🇺🇸 美国06"
      - "🇺🇸 美国07"
      - "🇸🇬 新加坡01"
      - "🇸🇬 新加坡02"
      - "🇸🇬 新加坡03"
      - "🇸🇬 新加坡04"
      - "🇸🇬 新加坡05"
      - "🇸🇬 新加坡06"
      - "🇸🇬 新加坡07"
      - "🇸🇬 新加坡08"
      - "🇸🇬 新加坡09"
      - "🇲🇾 马来西亚01"
      - "🇹🇭 泰国"
      - "🇬🇧 英国"
      - "🇩🇪 德国"
      - "🇫🇷 法国"
      - "🇪🇸 西班牙"
      - "🇷🇴 罗马尼亚【家宽】"
      - "DIRECT"
  - name: "自动选择"
    type: "url-test"
    url: "https://www.gstatic.com/generate_204"
    interval: 300
    tolerance: 50
    proxies:
      - "🇭🇰 香港01"
      - "🇭🇰 香港02"
      - "🇭🇰 香港03"
      - "🇭🇰 香港04"
      - "🇭🇰 香港05"
      - "🇭🇰 香港06"
      - "🇭🇰 香港07"
      - "🇭🇰 香港08"
      - "🇭🇰 香港09"
      - "🇭🇰 香港10"
      - "🇭🇰 香港11"
      - "🇼🇸 台湾【原生IP】"
      - "🇼🇸 台湾【动态家宽】"
      - "🇻🇳 越南【家宽】"
      - "🇯🇵 日本02"
      - "🇯🇵 日本03"
      - "🇯🇵 日本04"
      - "🇯🇵 日本05"
      - "🇯🇵 日本06"
      - "🇯🇵 日本【家宽】01"
      - "🇺🇸 美国01"
      - "🇺🇸 美国02"
      - "🇺🇸 美国03"
      - "🇺🇸 美国04"
      - "🇺🇸 美国05"
      - "🇺🇸 美国06"
      - "🇺🇸 美国07"
      - "🇸🇬 新加坡01"
      - "🇸🇬 新加坡02"
      - "🇸🇬 新加坡03"
      - "🇸🇬 新加坡04"
      - "🇸🇬 新加坡05"
      - "🇸🇬 新加坡06"
      - "🇸🇬 新加坡07"
      - "🇸🇬 新加坡08"
      - "🇸🇬 新加坡09"
      - "🇲🇾 马来西亚01"
      - "🇹🇭 泰国"
      - "🇬🇧 英国"
      - "🇩🇪 德国"
      - "🇫🇷 法国"
      - "🇪🇸 西班牙"
      - "🇷🇴 罗马尼亚【家宽】"
  - name: "故障转移"
    type: "fallback"
    url: "https://www.gstatic.com/generate_204"
    interval: 300
    proxies:
      - "🇭🇰 香港01"
      - "🇭🇰 香港02"
      - "🇭🇰 香港03"
      - "🇭🇰 香港04"
      - "🇭🇰 香港05"
      - "🇭🇰 香港06"
      - "🇭🇰 香港07"
      - "🇭🇰 香港08"
      - "🇭🇰 香港09"
      - "🇭🇰 香港10"
      - "🇭🇰 香港11"
      - "🇼🇸 台湾【原生IP】"
      - "🇼🇸 台湾【动态家宽】"
      - "🇻🇳 越南【家宽】"
      - "🇯🇵 日本02"
      - "🇯🇵 日本03"
      - "🇯🇵 日本04"
      - "🇯🇵 日本05"
      - "🇯🇵 日本06"
      - "🇯🇵 日本【家宽】01"
      - "🇺🇸 美国01"
      - "🇺🇸 美国02"
      - "🇺🇸 美国03"
      - "🇺🇸 美国04"
      - "🇺🇸 美国05"
      - "🇺🇸 美国06"
      - "🇺🇸 美国07"
      - "🇸🇬 新加坡01"
      - "🇸🇬 新加坡02"
      - "🇸🇬 新加坡03"
      - "🇸🇬 新加坡04"
      - "🇸🇬 新加坡05"
      - "🇸🇬 新加坡06"
      - "🇸🇬 新加坡07"
      - "🇸🇬 新加坡08"
      - "🇸🇬 新加坡09"
      - "🇲🇾 马来西亚01"
      - "🇹🇭 泰国"
      - "🇬🇧 英国"
      - "🇩🇪 德国"
      - "🇫🇷 法国"
      - "🇪🇸 西班牙"
      - "🇷🇴 罗马尼亚【家宽】"
rules:
  - "MATCH,聚盟云☁️"
